#ifndef MCPSERVERWIDGET_H
#define MCPSERVERWIDGET_H

#include "uosai_global.h"

#include <DWidget>
#include <DBackgroundGroup>

DWIDGET_USE_NAMESPACE

class ThemedLable;
namespace uos_ai {
class McpServerItem;
class McpServerWidget: public DWidget
{
    Q_OBJECT

public:
    explicit McpServerWidget(DWidget *parent = nullptr);
    QString getTitleName();
    void updateStatus();

private slots:
    void onThemeTypeChanged();

private:
    void initUI();
    DBackgroundGroup *serverWidget();

private:
    ThemedLable *m_pWidgetLabel = nullptr;
    DBackgroundGroup *m_pServerWidget = nullptr;
    McpServerItem *m_pServerItem = nullptr;
};
}

#endif // MCPSERVERWIDGET_H